# LUMI2DKRZ

This repository contains scripts to remap ICON output and transfer it from LUMI to Levante.

## Remapping

The core of the processing chain is the `remap.sh` script, which takes a single input file and remaps it to HEALPix:
```sh
./remap.sh atm_2d_20200101.nc
```
The output is written to a `healpix/` folder and keeps the same name.

There is also a convenience script `apply_remap.sh` which allows the user to process multiple files in parallel:
```sh
./apply_remap.sh 'atm_2d_*.nc'
```
The output files are written to the same `healpix` directory.
Internally, the script will start several cdo processes in parallel and distribute the list of input files.

## Transfer

The remapped data should be small enough that a simple `rsync` should be sufficient to transfer it to DKRZ:
```sh
rsync -av --progress healpix/ levante:/work/mh0287/m300575/ngc5004/
```
