#!/bin/bash
#SBATCH --account=project_465001141
#SBATCH --partition=small-g
#SBATCH --exclusive
#SBATCH --mem=0
#SBATCH --time=12:00:00

set -o errexit -o nounset -o xtrace

src=$1  # input file(s)
tgt=$2  # target (directory)

# UFTP settings
UFTP_USER=m300575
UFTP_AUTH_URL=https://uftp.dkrz.de:9000/rest/auth/HPCDATA
UFTP_KEY=$HOME/.ssh/id_ed25519_uftp_dkrz

# Split input arguments
up_to_last_arg="${@: 1:$(($# -1))}"
last_arg="${@: -1}"

export PYTHONUNBUFFERED=1  # instant output in SLURM jobs
pyuftp cp \
  --verbose \
  --user $UFTP_USER \
  --identity $UFTP_KEY \
  --resume \
  --threads 4 \
  --streams 4 \
  $up_to_last_arg \
  "$UFTP_AUTH_URL:$last_arg"

